<div class="page">
 [[> rsp:adminPageHeader title="Administration" icon="fa fa-cog fa-lg"]]
 <div class="container-fluid">
  <bs-row class="row-center">
   <bs-col class="rs-col-xl-8" lg="9" md="10" sm="11" style="margin-bottom: 40px;" xs="12">
    <bs-row>
     <bs-col xs="6">
      <h2 class="admin-title" style="margin-top: 12px;">
       [[i18n "import_export" bundle="languages/resource_admin" locale=this.lang]]
      </h2>
      <bs-row>
       <bs-col md="6" xs="12">
        [[>Admin:IconPanelInclude title="File Upload" faIcon="rs-icon rs-icon-image_upload"
                pageLink=(resolvePrefix "Admin:FileUpload")]]
       </bs-col>
       <bs-col md="6" xs="12">
        [[>Admin:IconPanelInclude title="Data Import & Export" faIcon="fa fa-upload" pageLink=(resolvePrefix
                "Admin:DataImportExport")]]
       </bs-col>
      </bs-row>
     </bs-col>
     <bs-col xs="6">
      <h2 class="admin-title" style="margin-top: 12px; padding:0 15px;">
       [[i18n "authority_entity" bundle="languages/resource_admin" locale=this.lang]]
      </h2>
      <bs-row>
       <bs-col md="6" xs="12">
        <semantic-link-container uri="http://www.researchspace.org/resource/:EntityEditor">
         <div class="text-center panel panel-default admin-icon-panel">
          <div class="panel-body">
           <span class="rs-icon rs-icon-form_edit">
           </span>
          </div>
          <div class="panel-footer text-truncate" style="position: relative">
           <a>
            [[i18n "entity_editor" bundle="languages/resource_admin" locale=this.lang]]
           </a>
          </div>
         </div>
        </semantic-link-container>
       </bs-col>
       <bs-col md="6" xs="12">
        [[>Admin:IconPanelInclude title="Entity Authority Configuration" faIcon="fa fa-cog"
                pageLink="http://www.researchspace.org/resource/AuthorityAndEntityConfiguration"]]
       </bs-col>
      </bs-row>
     </bs-col>
    </bs-row>
    <!--  close row -->
    <bs-row>
     <bs-col xs="12">
      <h2 class="admin-title">
       [[i18n "knowledge_modelling" bundle="languages/resource_admin" locale=this.lang]]
      </h2>
     </bs-col>
     [[#if (hasPermission
          "api:ldp:container:http://www.researchspace.org/resource/system/fieldDefinitionContainer:read:any")]]
     <bs-col md="3" xs="6">
      [[>Admin:IconPanelInclude title="Knowledge Patterns Catalog" faIcon="fa fa-list-ul"
            pageLink="http://www.researchspace.org/resource/system/fieldDefinitionContainer"]]
     </bs-col>
     [[/if]]
     <bs-col md="3" xs="6">
      [[>Admin:IconPanelInclude title="Ontologies" faIcon="fa fa-sitemap"
            pageLink="http://www.researchspace.org/resource/assets/Ontologies"]]
     </bs-col>
     <bs-col md="3" xs="6">
      [[>Admin:IconPanelInclude title="RDF Namespace Prefixes" faIcon="fa fa-code" pageLink=(resolvePrefix
            "Admin:Namespaces")]]
     </bs-col>
     [[!-- TODO rename sparql endpoint and make it a proper link --]]
     <bs-col md="3" xs="6">
      <mp-link class="rs-body-m-M" url=":SPARQL">
       <div class="text-center panel panel-default admin-icon-panel">
        <div class="panel-body">
         <span class="rs-icon rs-icon-sparql">
         </span>
        </div>
        <div class="panel-footer text-truncate" style="position: relative">
         <a>
          [[i18n "sparql" bundle="languages/resource_admin" locale=this.lang]]
         </a>
        </div>
       </div>
      </mp-link>
     </bs-col>
     <bs-col md="3" xs="6">
      [[>Admin:IconPanelInclude title="View Metadata" faIcon="fa fa-file-text-o"
          pageLink="http://www.researchspace.org/resource/search/metadata"]]
     </bs-col>
     <bs-col md="3" xs="6">
      [[>Admin:IconPanelInclude title="Search By ID" faIcon="fa fa-file-text-o"
          pageLink="http://www.researchspace.org/resource/search/searchByID"]]
     </bs-col>
     
    </bs-row>
    <!--  close row -->
    <bs-row>
     <bs-col xs="12">
      <h2 class="admin-title">
       [[i18n "system_resources" bundle="languages/resource_admin" locale=this.lang]]
      </h2>
     </bs-col>
     <bs-col md="3" xs="6">
      [[>Admin:IconPanelInclude title="Template & Application Pages" faIcon="fa fa-file-text-o"
            pageLink=(resolvePrefix "Admin:Templates")]]
     </bs-col>
     <bs-col md="3" xs="6">
      [[>Admin:IconPanelInclude title="Apps & Storages" faIcon="fa fa-th-large" pageLink=(resolvePrefix "Admin:Apps")]]
     </bs-col>
     <bs-col md="3" xs="6">
      [[#if (hasPermission "api:ldp:*")]]
              [[>Admin:IconPanelInclude title="LDP (Linked Data Platform)" faIcon="fa fa-archive" pageLink="http://www.researchspace.org/resource/system/rootContainer" assets="true"]]
            [[/if]]
     </bs-col>
     [[#if (hasPermission "api:ldp:container:http://www.researchspace.org/resource/system/queryTemplateContainer:read:any")]]
     <style>
      .fa-stack-1x { top: 0em; }
            .fa-stack {
              font-size: 2.5em;
              vertical-align: -16%;
              height: 1.18em;
            }
            .filetype-text {
              font-size: .4em;
              font-weight: 800;
            }
     </style>
     <bs-col md="3" xs="6">
      <mp-resource-link-container title="[[i18n 'query_templates' bundle='languages/resource_admin' locale=this.lang]]" uri="http://www.researchspace.org/resource/assets/QueryTemplates">
       <div class="text-center panel panel-default admin-icon-panel">
        <div class="panel-body">
         <span class="fa-stack">
          <span class="fa-stack-1x filetype-text">
           [[i18n "spin" bundle="languages/resource_admin" locale=this.lang]]
          </span>
          <i class="fa fa-file-o fa-stack-2x" style="font-size: 1.6em;">
          </i>
         </span>
        </div>
        <div class="panel-footer" style="position: relative">
         <a>
          [[i18n "query_templates" bundle="languages/resource_admin" locale=this.lang]]
         </a>
        </div>
       </div>
      </mp-resource-link-container>
     </bs-col>
     [[/if]]
    </bs-row>
    <bs-row>
     <bs-col xs="12">
      <h2 class="admin-title">
       [[i18n "configurations" bundle="languages/resource_admin" locale=this.lang]]
      </h2>
     </bs-col>
     <bs-col md="3" xs="6">
      [[>Admin:IconPanelInclude title="System Settings" faIcon="fa fa-cog" pageLink=(resolvePrefix "Admin:Configuration")]]
     </bs-col>
     <bs-col md="3" xs="6">
      [[>Admin:IconPanelInclude title="Repositories" faIcon="fa fa-database" pageLink=(resolvePrefix "Admin:Repositories")]]
     </bs-col>
     <bs-col md="3" xs="6">
      [[>Admin:IconPanelInclude title="Security" faIcon="fa fa-users" pageLink=(resolvePrefix "Admin:Security")]]
     </bs-col>
    </bs-row>
    <!--  close row -->
    <bs-row>
     <bs-col xs="12">
      <h2 class="admin-title">
       [[i18n "system_management" bundle="languages/resource_admin" locale=this.lang]]
      </h2>
     </bs-col>
     <bs-col class="admin-system-manag_container" xs="12">
      <i class="rs-icon rs-icon-terminal">
      </i>
      <semantic-link iri='[[resolvePrefix "Admin:Logs"]]' title="[[i18n 'logs' bundle='languages/resource_admin' locale=this.lang]]">
       [[i18n "logs" bundle="languages/resource_admin" locale=this.lang]]
      </semantic-link>
     </bs-col>
     <bs-col class="admin-system-manag_container" xs="12">
      <mp-admin-cache-invalidation-button>
      </mp-admin-cache-invalidation-button>
      <mp-popover title="[[i18n 'cache_invalidation' bundle='languages/resource_admin' locale=this.lang]]">
       <mp-popover-trigger placement="right" trigger='["hover"]'>
        <i aria-hidden="true" class="fa fa-question-circle" style="margin-left: 5px; font-size: 15px;">
        </i>
       </mp-popover-trigger>
       <mp-popover-content>
        <div>
         <p>
          [[i18n "certain_system" bundle="languages/resource_admin" locale=this.lang]]
         </p>
         <p>
          [[i18n "cache_entries" bundle="languages/resource_admin" locale=this.lang]]
         </p>
         <p>
          [[i18n "however_during" bundle="languages/resource_admin" locale=this.lang]]
         </p>
        </div>
       </mp-popover-content>
      </mp-popover>
     </bs-col>
     <bs-col class="admin-system-manag_container danger" xs="12">
      [[#if (hasPermission "system:restart")]]
      <mp-restart-wrapper>
       <a style="display: flex; align-items: center;">
        <i class="fa fa-power-off">
        </i>
        <div>
         [[i18n "restart_platform" bundle="languages/resource_admin" locale=this.lang]]
        </div>
       </a>
      </mp-restart-wrapper>
      [[else]]
      <div class="restart-no-permission">
       <i class="fa fa-power-off">
       </i>
       <div>
        [[i18n "restart_platform_1" bundle="languages/resource_admin" locale=this.lang]]
       </div>
      </div>
      [[/if]]
     </bs-col>
    </bs-row>
    <!--  close row -->
   </bs-col>
  </bs-row>
  <!--  close row -->
 </div>
</div>